Subject: [icnrg] Review of draft-suthar-icnrg-icn-lte-4g-02

From: "Rahman, Akbar" <[email-masked]>
Date: Mon, 7 Aug 2017 16:06:41 +0000

Hi Prakash,

I took an action at IETF-Prague to review your draft:

o   https://tools.ietf.org/html/draft-suthar-icnrg-icn-lte-4g-02

Overall, I think it is a useful and interesting draft.  Here are my specific comments:

·        General:

o   Should clarify in the Abstract and Introduction that you are focused on ICN for user plane traffic in cellular 4G.

§  You only specifically state that in section 5.2

·        Section 1 (Introduction)

o   The following phrase should be further clarified:

§  “LTE mobile technology is built as all IP network.  It uses IP routing protocols such as OSPF, ISIS, BGP etc. to establish network routes to route the data traffic to end user's device.”

o   That is, if you read RFC 6459, you will see that the IP routing is only used between the gateway (PDN-GW) and the external IP network.  Between the UE and the gateway PDN-GW (i.e. internal to the cellular network) there is only cellular specific protocols (and even if they use IP packets there is no real IP routing involved):

§  “The user-plane traffic between the UE and the gateway can be either IPv4 or IPv6.  These packets are essentially treated as payload by GTP/PMIPv6 and transported accordingly with nor real attention paid (at least from a routing perspective) to the information contained in the IPv4 or IPv6 headers.”

·        https://tools.ietf.org/html/rfc6459#section-8.2

o   The above comment also impacts your text in several other sections of the document (e.g. Section 4)

·        Section 1.1. (Terminology)

o   Should explicitly define what “native deployment” means

§  I understood that it means that ICN runs directly on cellular “Layer 2” protocols like PDCP/RLC/MAC/L1.  Is that correct?

·        Section 2.3 (Data Transport Using IP)

o   Should add some discussion about 3GPP MBMS (Multimedia Broadcast Multicast Service), and especially if ICN can or cannot be used in conjunction with it (this could be addressed in later sections)

§  https://en.wikipedia.org/wiki/Multimedia_Broadcast_Multicast_Service

·        Section 3

o   Seems to be missing from the document!

·        Section 4 (Data Transport Using ICN)

o   The following phrase should be further clarified:

§   “For mobile devices, the edge connectivity to the network is between radio and a router or mobile edge computing (MEC) element.”

o   Specifically, I understood that MEC is only being considered for 5G.  Is that not so?  If not, please provide some references of how MEC will be incorporated into 4G.

·        Section 5 (ICN Deployment in 4G and LTE Networks)

o   Main issue that I had conceptually with this sections is that it was not clear to me how ICN within cellular network would interwork with content from the rest of the (non-ICN) Internet.

o   Could you please add an example (e.g. how will Netflix videos from external CDNs interwork with ICN inside cellular)

§  I know that you had some discussion in Section 4, Figure 3 but that seemed at a conceptual level and did not show practical details of working 3GPP and external CDNs.

·        Section 5.2.1 (Dual Stack ICN Deployments in UE)

o   Should clarify details of how the transport selector would work

·        Section 7 (References)

o   Should add RFC 6459 as a reference

§  https://tools.ietf.org/html/rfc6459

Best Regards,

Akbar

<http://ir.interdigital.com/File/Index?KeyFile=37447876>

This e-mail is intended only for the use of the individual or entity to which it is addressed, and may contain information that is privileged, confidential and/or otherwise protected from disclosure to anyone other than its intended recipient. Unintended transmission shall not constitute waiver of any privilege or confidentiality obligation. If you received this communication in error, please do not review, copy or distribute it, notify me immediately by email, and delete the original message and any attachments. Unless expressly stated in this e-mail, nothing in this message or any attachment should be construed as a digital or electronic signature.

---

From: Luca Muscariello <[email-masked]>
Date: Tue, 08 Aug 2017 15:58:50 +0000

Hi Prakash, Akbar

This is not a review. Just comments to the review and additional questions
for the authors. I'll try to make one proper review by the end of August,
beginning of September.

One first short comment:
S1-U interfaces are IP tunnels between the eNB and the SGW.
They are GTP tunnels over an IP backhaul network which can use ISIS, OSPF
etc.

SGi interfaces connects the gateway to an IP network which can use ISIS,
OSPF etc.

Interconnection inside the mobile core is also made using IP.

Depending on the deployment, IP routing  can be trivial as an entire core
can run in a single node. The backhaul, however, can be quite large and
there ISIS/OSPF/BGP are generally used.

I'm not sure what you, Akbar, mean with cellular specific protocols. They
are all cellular  specific protocols that use IP as convergence layer.
In many deployments fixed and mobile networks share the same IP backhaul
with different kind of VPNs and tunneling.
Underneath there is IP routing in place.

Second comment and questions:
MEC can fit into 4G using CUPS (control/user plane separation)  which, I
think, is already available in release 14. To check...
This can be included in the document as a reference but then MEC too should
be defined ?
What is MEC here? A server off path a breakout point? There is a 2 years
old reference from ETSI only.

Third short comment and questions:
It would be  useful to compare ICN insertion in the EPC described in this
draft and
the one described in this patent description

https://www.google.com/patents/WO2015177642A1?cl=en

When this patent was filed CUPS was not availble. There, ICN insertion was
envisaged in GTP-U (modified) and GTP-C kept as it is. With CUPS it seems
very simple to get an ICN network inside the backhaul.
Why don't you consider CUPS in your description? Unless I missed it the
text.
In  presence of CUPS, does this draft get simpler? Is it orthogonal? Multi
3GPP release insertion? If this is case, what is the standardization work
required at 3GPP?

Best
Luca

On Mon, 7 Aug 2017 at 18:07, Rahman, Akbar <[email-masked]>
wrote:

> o   Should clarify in the Abstract and Introduction that you are focused
> on ICN for user plane traffic in cellular 4G.
>
> §  “LTE mobile technology is built as all IP network.  It uses IP routing
> protocols such as OSPF, ISIS, BGP etc. to establish network routes to route
> the data traffic to end user's device.”
>
>
>
> o   That is, if you read RFC 6459, you will see that the IP routing is
> only used between the gateway (PDN-GW) and the external IP network.
> Between the UE and the gateway PDN-GW (i.e. internal to the cellular
> network) there is only cellular specific protocols (and even if they use IP
> packets there is no real IP routing involved):
>
> §  “The user-plane traffic between the UE and the gateway can be either
> IPv4 or IPv6.  These packets are essentially treated as payload by
> GTP/PMIPv6 and transported accordingly with nor real attention paid (at
> least from a routing perspective) to the information contained in the IPv4
> or IPv6 headers.”
>
> §  I understood that it means that ICN runs directly on cellular “Layer
> 2” protocols like PDCP/RLC/MAC/L1.  Is that correct?
>
>
>
> o   Should add some discussion about 3GPP MBMS (Multimedia Broadcast
> Multicast Service), and especially if ICN can or cannot be used in
> conjunction with it (this could be addressed in later sections)
>
> §   “For mobile devices, the edge connectivity to the network is between
> radio and a router or mobile edge computing (MEC) element.”
>
> o   Specifically, I understood that MEC is only being considered for 5G.
> Is that not so?  If not, please provide some references of how MEC will be
> incorporated into 4G.
>
>
>
> o   Main issue that I had conceptually with this sections is that it was
> not clear to me how ICN within cellular network would interwork with
> content from the rest of the (non-ICN) Internet.
>
> o   Could you please add an example (e.g. how will Netflix videos from
> external CDNs interwork with ICN inside cellular)
>
> §  I know that you had some discussion in Section 4, Figure 3 but that
> seemed at a conceptual level and did not show practical details of working
> 3GPP and external CDNs.
>
>
>
> This e-mail is intended only for the use of the individual or entity to
> which it is addressed, and may contain information that is privileged,
> confidential and/or otherwise protected from disclosure to anyone other
> than its intended recipient. Unintended transmission shall not constitute
> waiver of any privilege or confidentiality obligation. If you received this
> communication in error, please do not review, copy or distribute it, notify
> me immediately by email, and delete the original message and any
> attachments. Unless expressly stated in this e-mail, nothing in this
> message or any attachment should be construed as a digital or electronic
> signature.
>
> _______________________________________________
> icnrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/icnrg
>

---

From: "Rahman, Akbar" <[email-masked]>
Date: Tue, 8 Aug 2017 20:04:33 +0000

Hi Luca,

Thanks for your comments and insights.

My main reference for details of deployment and operation of IPv6 within 3GPP LTE cellular networks was to RFC 6459 (IPv6 in 3GPP Evolved Packet System).  And according to my reading of it, the user plane traffic in LTE (which is what draft-suthar-icnrg-icn-lte-4g concentrates on) runs over a very simple IP topology.  See for example:

https://tools.ietf.org/html/rfc6459#section-4.1

So basically, I have two questions to “you”, the audience, (and also was my implied point in my original review to Prakash):

1)     Is my reading of RFC 6459 correct?

2)     Did draft-suthar-icnrg-icn-lte-4g properly capture all the impacts of replacing IP in LTE with its proposed “native deployment of ICN” to replace IP.

/Akbar

From: icnrg [mailto:[email-masked]] On Behalf Of Luca Muscariello
Sent: Tuesday, August 8, 2017 11:59 AM
To: Prakash Suthar (psuthar) <[email-masked]>; Rahman, Akbar <[email-masked]>
Cc: icnrg <[email-masked]>
Subject: Re: [icnrg] Review of draft-suthar-icnrg-icn-lte-4g-02

Hi Prakash, Akbar

This is not a review. Just comments to the review and additional questions for the authors. I'll try to make one proper review by the end of August, beginning of September.

One first short comment:
S1-U interfaces are IP tunnels between the eNB and the SGW.
They are GTP tunnels over an IP backhaul network which can use ISIS, OSPF etc.

SGi interfaces connects the gateway to an IP network which can use ISIS, OSPF etc.

Depending on the deployment, IP routing  can be trivial as an entire core can run in a single node. The backhaul, however, can be quite large and there ISIS/OSPF/BGP are generally used.

I'm not sure what you, Akbar, mean with cellular specific protocols. They are all cellular  specific protocols that use IP as convergence layer.
In many deployments fixed and mobile networks share the same IP backhaul with different kind of VPNs and tunneling.
Underneath there is IP routing in place.

Second comment and questions:
MEC can fit into 4G using CUPS (control/user plane separation)  which, I think, is already available in release 14. To check...
This can be included in the document as a reference but then MEC too should be defined ?
What is MEC here? A server off path a breakout point? There is a 2 years old reference from ETSI only.

Third short comment and questions:
It would be  useful to compare ICN insertion in the EPC described in this draft and
the one described in this patent description

When this patent was filed CUPS was not availble. There, ICN insertion was envisaged in GTP-U (modified) and GTP-C kept as it is. With CUPS it seems very simple to get an ICN network inside the backhaul.
Why don't you consider CUPS in your description? Unless I missed it the text.
In  presence of CUPS, does this draft get simpler? Is it orthogonal? Multi 3GPP release insertion? If this is case, what is the standardization work required at 3GPP?

Best
Luca

On Mon, 7 Aug 2017 at 18:07, Rahman, Akbar <[email-masked]<mailto:[email-masked]>> wrote:
Hi Prakash,

•        General:

•  You only specifically state that in section 5.2

•        Section 1 (Introduction)

•  “LTE mobile technology is built as all IP network.  It uses IP routing protocols such as OSPF, ISIS, BGP etc. to establish network routes to route the data traffic to end user's device.”

•  “The user-plane traffic between the UE and the gateway can be either IPv4 or IPv6.  These packets are essentially treated as payload by GTP/PMIPv6 and transported accordingly with nor real attention paid (at least from a routing perspective) to the information contained in the IPv4 or IPv6 headers.”

•        https://tools.ietf.org/html/rfc6459#section-8.2

•        Section 1.1. (Terminology)

•  I understood that it means that ICN runs directly on cellular “Layer 2” protocols like PDCP/RLC/MAC/L1.  Is that correct?

•        Section 2.3 (Data Transport Using IP)

•  https://en.wikipedia.org/wiki/Multimedia_Broadcast_Multicast_Service

•        Section 3

•        Section 4 (Data Transport Using ICN)

•   “For mobile devices, the edge connectivity to the network is between radio and a router or mobile edge computing (MEC) element.”

•        Section 5 (ICN Deployment in 4G and LTE Networks)

•  I know that you had some discussion in Section 4, Figure 3 but that seemed at a conceptual level and did not show practical details of working 3GPP and external CDNs.

•        Section 5.2.1 (Dual Stack ICN Deployments in UE)

•        Section 7 (References)

•  https://tools.ietf.org/html/rfc6459

Best Regards,

Akbar

This e-mail is intended only for the use of the individual or entity to which it is addressed, and may contain information that is privileged, confidential and/or otherwise protected from disclosure to anyone other than its intended recipient. Unintended transmission shall not constitute waiver of any privilege or confidentiality obligation. If you received this communication in error, please do not review, copy or distribute it, notify me immediately by email, and delete the original message and any attachments. Unless expressly stated in this e-mail, nothing in this message or any attachment should be construed as a digital or electronic signature.<http://ir.interdigital.com/File/Index?KeyFile=37447876>

 <http://ir.interdigital.com/File/Index?KeyFile=37447876>
_______________________________________________
icnrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/icnrg<http://ir.interdigital.com/File/Index?KeyFile=37447876>

---

From: Luca Muscariello <[email-masked]>
Date: Wed, 16 Aug 2017 10:12:18 +0200

Hi Akbar,

I think that you misread RFC 6459 for what concerns EPC.
IP is the convergence layer for EPC and IP routing applies there.
Of course there is variety of deployment instances.

About the draft, I do not think that IP can be replaced.
I do not think that the intent of the draft is to replace IP either.

Even if ICN sits on top of L2, this can only work as a user plane function.
Changing control channels seems very complex to me and is not discussed by
this draft.

This is why I raised the point of CUPS where the insertion in the user
plane seems simpler.

http://www.3gpp.org/news-events/3gpp-news/1882-cups

and I confirm it is available in Rel.14.
I think this draft should take into account CUPS.

Regards
Luca

On Tue, Aug 8, 2017 at 10:04 PM, Rahman, Akbar <
[email-masked]> wrote:

> My main reference for details of deployment and operation of IPv6 within
> 3GPP LTE cellular networks was to RFC 6459 (IPv6 in 3GPP Evolved Packet
> System).  And according to my reading of it, the user plane traffic in LTE
> (which is what draft-suthar-icnrg-icn-lte-4g concentrates on) runs over a
> very simple IP topology.  See for example:
>
>
>
> So basically, I have two questions to “you”, the audience, (and also was
> my implied point in my original review to Prakash):
>
>
>
> 2)     Did draft-suthar-icnrg-icn-lte-4g properly capture all the impacts
> of replacing IP in LTE with its proposed “native deployment of ICN” to
> replace IP.
>
>
>
>
>
> /Akbar
>
>
>
> *From:* icnrg [mailto:[email-masked]] *On Behalf Of *Luca
> Muscariello
> *Sent:* Tuesday, August 8, 2017 11:59 AM
> *To:* Prakash Suthar (psuthar) <[email-masked]>; Rahman, Akbar
> <[email-masked]>
> *Cc:* icnrg <[email-masked]>
> *Subject:* Re: [icnrg] Review of draft-suthar-icnrg-icn-lte-4g-02
>
>
>
> Hi Prakash, Akbar
>
>
>
> signature. <http://ir.interdigital.com/File/Index?KeyFile=37447876>
>
> [email-masked]*
> *https://www.irtf.org/mailman/listinfo/icnrg*